Bug 18934 - RFE: Check /boot is large enough to run LILO
Summary: RFE: Check /boot is large enough to run LILO
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i686 Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 06:14 UTC by Need Real Name
Modified: 2007-03-27 03:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 18:56:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-12 06:14:46 UTC
At end of upgrade install (when X shuts down), a message was displayed on
the console to the effect of "Error writing /boot/map - no free space".
After rebooting, the system only displayed "LI" when trying to load LILO.
The installer had previously complained that there was not enough space on
/boot to install the kernel, so I freed up 3 megabytes (of 7 megabytes
total). The installer apparently does not ensure that there is enough space
on /boot to execute lilo properly.

The system is i686 SMP, AIC7890U2W SCSI, and was originally running RedHat
6.1.

Comment 1 Michael Fulbright 2000-12-19 20:21:30 UTC
I've tried to reproduce this problem - I created a /boot and filled it up
and only left a few hundred K free.  The installer properly caught there was
not enough free space.

I am going to defer this issue for now and see if more reports come in to help
us understand the failure mode.

Comment 2 Need Real Name 2000-12-19 22:19:07 UTC
Can somebody explain to me (a total newby) how I work around this problem, and 
get a successful install on machines that have this problem.

Thanks-

-EAB


Note You need to log in before you can comment on or make changes to this bug.